MacでRuby 1.9.2を使う

我が家のマシンはほぼ全てMacなのであるが、Mac OS X 10.6に入っている最新のRubyは

ruby 1.8.7 (2009-06-12 patchlevel 174) [universal-darwin10.0]

である。私は最新の1.9.2が使いたいのでFink等を見たがどうも1.9系を見つけられん。もちょっと調べるとMac Rubyがある。ここの最新版がどうも1.9.2に対応しているそうなので入れてみた。

MacRuby 0.8 (ruby 1.9.2) [universal-darwin10.0, x86_64]

Mac Rubyは /usr/local/bin/macruby としてインストールされるので、それを使う。実体は/Library/Frameworks/MacRuby.framework/Versions/Current/usr/bin/macruby である。

このような開発ツールに関してはLinuxの方が開発が盛んであるため、Mac単体で行うにはちょっと厳しい。UbuntuやFedoraなど魅力的なものも多いため、悩ましいところである。Parallelsなどで平行利用が現実的だろうか。

Leave a Reply